ionic4- error TS2307: Cannot find module 'rxjs-compat/Observable'

设置拦截器

  废话不多说,小咸儿在项目中写拦截器文件时,遇到了一个有关引入的问题:

Error in node_modules/rxjs/Observable.d.ts(1,15): error TS2307: Cannot find module ‘rxjs-compat/Obserable’

在这里插入图片描述

报错位置

在这里插入图片描述
  因为小咸儿不是很清楚在ionic3升到ionic4后,有感rxjs的变化与引入的区别,所以在经过多方查找之后,发现了比较确定的两种解决方案:

  1. 首先
import 'rxjs-compat'

  改为:

import 'rxjs/Rx'

2.使用命令语句

npm install rxjs@6 rxjs-compat@6 --save

  将rxjs v5.x 升级到 6,即可解决问题。

发布了180 篇原创文章 · 获赞 92 · 访问量 13万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 撸撸猫 设计师: 设计师小姐姐

分享到微信朋友圈

×

扫一扫,手机浏览